Subject: Re: bug#5410: Parenthesis Matching Bug!!

From: Andrew Hyatt <[email-masked]>
Date: Wed, 10 Aug 2016 23:57:36 -0400

Michael Heerdegen <[email-masked]> writes:

> Andrew Hyatt <[email-masked]> writes:
>
>> It'd be nice, I guess, if you could just turn it to nil when in a
>> comment.
>
> Yes, I think we could bind `parse-sexp-ignore-comments' to nil around
> the calls to `scan-sexps' in `show-paren--default' when point is inside
> a comment.  But I must admit that I don't understand the terse doc of
> `parse-sexp-ignore-comments':
>
> |  Non-nil means `forward-sexp', etc., should treat comments as
> |  whitespace.
>
> But what does nil mean, exactly?  It seems that comments are then
> treated as if they were indistinguishable from code.  When I set
> `parse-sexp-ignore-comments' to nil in emacs-lisp-mode, and have such a
> file:
>
> ;; (
> )
>
> then show-paren-mode indicates the parens as matching, though one is
> inside in a comment, and the other is not.  `scan-sexps' behaves
> accordingly.  That would mean we would need to assure that the matching
> paren position that `scan-sexps' has found is still inside the current
> comment.

Interesting point.  The more I hear, the more this sounds like a
wishlist item - we just don't seem to have a way to treat paren matching
in comments separately yet with multiline capabilities.  I'm going to
mark it as wishlist for now.

> Michael.